# Publish or unpublish a product

Publishes or unpublishes a product. Works with Shopify accounts.

```http
POST https://api.pozy.ai/v1/commerce/products/{productId}/channels
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `productId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `publish`, array of string: Up to 20 items
- `unpublish`, array of string: Up to 20 items

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/commerce/products/659773d34b353e6821202f21/channels" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/products/659773d34b353e6821202f21/channels", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/commerce/products/659773d34b353e6821202f21/channels",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `productId`, string
- `published`, array of string
- `unpublished`, array of string

```json
{
  "productId": "659773d34b353e6821202f21",
  "published": [
    "string"
  ],
  "unpublished": [
    "string"
  ]
}
```
